/**
 *
 */
package com.pcloud.common.enums;

import com.google.common.collect.Maps;

import java.util.Arrays;
import java.util.Map;

/**
 * @描述：应用类型常量枚举
 * @作者：songx
 * @创建时间：2016年12月1日,上午11:07:21 @版本：1.0
 */
public enum AppTypeEnum {

    MASTER("MASTER"), // 主应用
    RECOMMEND("RECOMMEND"), // 推荐应用
    CHARGE("CHARGE"), // 付费应用

    ARTICLE("ARTICLE"), // 文章
    KK("KK"), // 看一看
    LIVE("LIVE"), // 直播
    VOTE("VOTE"), // 投票
    ENROLL("ENROLL"), // 编创赛报名
    BM("BM"), // 报名
    NAIRE("NAIRE"), // 问卷调查
    DA("DA"), // 数据采集
    BOOKCARD("BOOKCARD"), // 读书卡片
    TUTOR("TUTOR"), // 一对一辅导
    GROUP("GROUP"), // 与你同行（圈子）（add by gaop at 2017-6-13 16:52:07）
    ITEM_BANK("ITEM_BANK"), // 题库
    VOICE_MSG("VOICE_MSG"), // 语音留言
    AUDIO("AUDIO"), // 音频
    VIDEO("VIDEO"), // 视频
    IMAGE("IMAGE"), // 图片
    PDF("PDF"), // PDF
    BOOK("BOOK"), // 图书
    EF("EF"), // 教育表格
    QA("QA"), // 问答
    LISTEN("LISTEN"), // 听力
    ANSWER("ANSWER"), // 答案
    ACTIVITY("ACTIVITY"), // 分享互动
    ZSCORE("ZSCORE"), // 标准分
    RECITE_WORD("RECITE_WORD"), // 背单词
    INTERACT("INTERACT"), // 互动墙
    SPECIAL("SPECIAL"), // 专题
    CLOCK("CLOCK"), // 打卡
    TEST("TEST"), // 趣味测试（测试工具）
    EBOOK("EBOOK"), // 电子书
    LIVE_TIMETABLE("LIVE_TIMETABLE"), // 直播课表
    DRAW("DRAW"), // 抽奖
    WISH("WISH"),// 愿望单
    LIVEAPP("LIVEAPP"),         //直播3.0
    TASTETEST("TASTETEST"),    //趣味测试
    VIDEO_CLASSIC("VIDEO_CLASSIC");     //经典版视频

    /**
     * 枚举转换
     */
    public static final Map<String, AppTypeEnum> APP_TYPE_MAP = Maps.newHashMap();

    static {
        Arrays.asList(AppTypeEnum.values()).forEach(m -> {
            APP_TYPE_MAP.put(m.value, m);
        });
    }

    /**
     * 值
     */
    public final String value;

    /**
     * 构造
     *
     * @param value
     */
    private AppTypeEnum(String value) {
        this.value = value;
    }

}
